Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::ExtensionName Class Reference

Extension name UUID. More...

`#include <Types.h>`

Inheritance diagram for Argus::ExtensionName:

List of all members.

## Public Member Functions

| ExtensionName (uint32_t time_low_, uint16_t time_mid_, uint16_t time_hi_and_version_, uint16_t clock_seq_, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5, const char *name)
| ExtensionName ()
Public Member Functions inherited from Argus::NamedUUID
| NamedUUID (uint32_t time_low_, uint16_t time_mid_, uint16_t time_hi_and_version_, uint16_t clock_seq_, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5, const char *name)
| NamedUUID (const NamedUUID &copied)
NamedUUID & | operator= (const NamedUUID &copied)
bool | operator== (const NamedUUID &compared) const
bool | operator!= (const NamedUUID &compared) const
const char * | getName () const
Public Member Functions inherited from Argus::UUID
bool | operator== (const UUID &r) const
bool | operator< (const UUID &r) const

## Detailed Description

Extension name UUID.

Values are defined in extension headers.

Definition at line 93 of file Types.h.

## Constructor & Destructor Documentation

Argus::ExtensionName::ExtensionName | ( | uint32_t | time_low_,
|  | uint16_t | time_mid_,
|  | uint16_t | time_hi_and_version_,
|  | uint16_t | clock_seq_,
|  | uint8_t | c0,
|  | uint8_t | c1,
|  | uint8_t | c2,
|  | uint8_t | c3,
|  | uint8_t | c4,
|  | uint8_t | c5,
|  | const char * | name
| ) |  |

inline

Definition at line 96 of file Types.h.

Argus::ExtensionName::ExtensionName | ( |  | ) |

inline

Definition at line 106 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h